Index: tmp/org.txm.statsengine.r.rcp/.classpath
===================================================================
--- tmp/org.txm.statsengine.r.rcp/.classpath	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.ide.FileStoreEditorInput;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.statsengine.r.rcp.handlers.ExecuteRScript;
@@ -70,7 +70,7 @@
 		if (editor instanceof TxtEditor) {
 			final TxtEditor Teditor = (TxtEditor) editor;
 			final ISelection selection = Teditor.getSelectionProvider().getSelection();
-			JobHandler job = new JobHandler(Messages.Submit_0, true) {
+			JobHandler job = new JobHandler(RCPMessages.Submit_0, true) {
 
 				@Override
 				protected IStatus run(final IProgressMonitor monitor) {
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java	(revision 513)
@@ -36,7 +36,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.utils.logger.Log;
@@ -56,7 +56,7 @@
 		scripts.mkdir();
 		if (!scripts.exists())
 		{
-			System.out.println(NLS.bind(Messages.OpenEmptyEditor_2, scripts));
+			System.out.println(NLS.bind(RCPMessages.OpenEmptyEditor_2, scripts));
 			return null;
 		}
 		
@@ -64,7 +64,7 @@
 		Rscripts.mkdir();
 		if (!Rscripts.exists())
 		{
-			System.out.println(NLS.bind(Messages.OpenEmptyEditor_2, Rscripts));
+			System.out.println(NLS.bind(RCPMessages.OpenEmptyEditor_2, Rscripts));
 			return null;
 		}
 		
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 513)
@@ -41,7 +41,7 @@
 import org.txm.Toolbox;
 import org.txm.Toolbox;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.MessagePrinter;
@@ -231,7 +231,7 @@
 	public void connectToRWorkspace() {
 		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()) {
 			RWorkspace rw = null;
-			Log.warning(Messages.RConsole_0);
+			Log.warning(RCPMessages.RConsole_0);
 			try {
 				rw = RWorkspace.getRWorkspaceInstance();
 				if (rw == null) return;
@@ -246,7 +246,7 @@
 					readyToDisplay = true;
 				//}
 			} catch (RWorkspaceException e) {
-				System.out.println(Messages.RConsole_1+e);
+				System.out.println(RCPMessages.RConsole_1+e);
 				Log.printStackTrace(e);
 			}
 		}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 513)
@@ -72,7 +72,7 @@
 import org.txm.objects.Base;
 import org.txm.progression.core.functions.Progression;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.commands.R.CopySelection;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -233,7 +233,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(Messages.RVariablesView_1);
+		export.setText(RCPMessages.RVariablesView_1);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -247,7 +247,7 @@
 		
 		Button logs = new Button(parent, SWT.PUSH);
 		logs.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,	false));
-		logs.setText(Messages.RVariablesView_2);
+		logs.setText(RCPMessages.RVariablesView_2);
 		logs.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -348,7 +348,7 @@
 			if (symbol == null)
 				return name;
 			else
-				return NLS.bind(Messages.RVariablesView_9, name, symbol);
+				return NLS.bind(RCPMessages.RVariablesView_9, name, symbol);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 513)
@@ -49,7 +49,7 @@
 import org.eclipse.ui.ide.FileStoreEditorInput;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -130,7 +130,7 @@
 	public static void executeScript(String scriptfile) {
 		File rFile = new File(scriptfile);
 		if (!rFile.exists()) {
-			System.err.println(NLS.bind(Messages.ExecuteScriptR_0, rFile));
+			System.err.println(NLS.bind(RCPMessages.ExecuteScriptR_0, rFile));
 			return;
 		}
 
@@ -144,7 +144,7 @@
 		boolean initState = rw.isLogging();
 		rw.setLog(true);
 		try {
-			System.out.println(NLS.bind(Messages.ExecuteRScript_1, rFile.getName()));
+			System.out.println(NLS.bind(RCPMessages.ExecuteRScript_1, rFile.getName()));
 			long time = System.currentTimeMillis();
 			//execute a file line per line
 
@@ -173,10 +173,10 @@
 //				if (rw.isLogging() && str.length() > 0)
 //					RConsole.printServer(cmd);
 //			}
-			System.out.println(Messages.ExecuteRScript_2+(System.currentTimeMillis()-time)+Messages.ExecuteRScript_3);
+			System.out.println(RCPMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCPMessages.ExecuteRScript_3);
 		} catch(Exception e) {
-			System.out.println(NLS.bind(Messages.ExecuteScriptR_1, rFile, e)); 
-			StatusLine.error(NLS.bind(Messages.ExecuteScriptR_1, rFile, e)); 
+			System.out.println(NLS.bind(RCPMessages.ExecuteScriptR_1, rFile, e)); 
+			StatusLine.error(NLS.bind(RCPMessages.ExecuteScriptR_1, rFile, e)); 
 			Log.printStackTrace(e);
 		}
 
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRText.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRText.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRText.java	(revision 513)
@@ -34,7 +34,7 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -83,7 +83,7 @@
 		rw.setLog(true);
 
 		try {
-			System.out.println(Messages.ExecuteRText_0);
+			System.out.println(RCPMessages.ExecuteRText_0);
 			long time = System.currentTimeMillis();
 			//execute a file line per line
 
@@ -93,10 +93,10 @@
 //				RConsole.printServer(str);
 			RWorkspace.appendtoEvalLog(text);
 
-			System.out.println(Messages.ExecuteRScript_2+(System.currentTimeMillis()-time)+Messages.ExecuteRText_2); 
+			System.out.println(RCPMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCPMessages.ExecuteRText_2); 
 		} catch(Exception e) {
-			System.out.println(NLS.bind(Messages.ExecuteRText_1, text, Log.toString(e))); 
-			StatusLine.error(NLS.bind(Messages.ExecuteRText_1, text, Log.toString(e))); 
+			System.out.println(NLS.bind(RCPMessages.ExecuteRText_1, text, Log.toString(e))); 
+			StatusLine.error(NLS.bind(RCPMessages.ExecuteRText_1, text, Log.toString(e))); 
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		}
 
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 512)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 513)
@@ -37,7 +37,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.preferences.RPreferences;
 import org.txm.statsengine.r.rcp.messages.RUIMessages;
@@ -196,7 +196,7 @@
 				RWorkspace.setUseFileCommunication(TXMPreferences.getBoolean(RPreferences.FILE_TRANSFERT, RPreferences.PREFERENCES_NODE));
 			}
 		} catch (Exception e) {
-			System.err.println(Messages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 512)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 513)
@@ -107,7 +107,7 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.Messages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(org.txm.rcp.RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs	(revision 512)
+++ tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs	(revision 513)
@@ -3,5 +3,4 @@
 encoding//OSGI-INF/l10n/bundle_ru_utf-8.properties=UTF-8
 encoding//src/main/java/org/txm/rcp/messages_fr.properties=UTF-8
 encoding//src/main/java/org/txm/rcp/messages_ru.properties=UTF-8
-encoding//src/main/java/org/txm/rcp/messages_ru_utf8.properties=UTF-8
 encoding/<project>=UTF-8
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 513)
@@ -44,7 +44,7 @@
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Activator;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.preferences.AdvancePreferencePage;
 import org.txm.rcp.preferences.RCPPreferences;
@@ -133,7 +133,7 @@
 		try {
 			location = new URL(path); //$NON-NLS-1$
 		} catch (MalformedURLException e) {
-			Log.severe(NLS.bind(Messages.LanguageSwitchHandler_5, location));
+			Log.severe(NLS.bind(RCPMessages.LanguageSwitchHandler_5, location));
 			return false;
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 513)
@@ -7,7 +7,7 @@
 import org.eclipse.equinox.p2.core.IProvisioningAgent;
 import org.eclipse.equinox.p2.engine.IProfileRegistry;
 import org.eclipse.equinox.p2.ui.ProvisioningUI;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.preferences.AdvancePreferencePage;
 import org.txm.utils.logger.Log;
@@ -67,6 +67,6 @@
 		// this is the default repository
 		//TXMUpdateHandler.addDefaultUpdateSites(agent);
 
-		Log.info(Messages.FixUpdateHandler_0);
+		Log.info(RCPMessages.FixUpdateHandler_0);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 513)
@@ -80,7 +80,7 @@
 					firstCorpusDiag = false;
 					for (MainCorpus corpus : corpora) {
 						if (corpus.getBase() == null)
-							System.out.println(NLS.bind(Messages.AdapterFactory_0, corpus));
+							System.out.println(NLS.bind(RCPMessages.AdapterFactory_0, corpus));
 					}
 				}
 				children = corpora.toArray();
